/**
 * Implementa los constructores y metodos esenciales que le dan vida al robot
 * (posicion, velocidad, giros en alguna direccion, entre otros).
 *
 * Autor: Matias Contreras, Francisco Frez, Damian Quiroz.
 * Version: 2.0
 * Since: 2018-07-24
*/

#include "MyWorld.h"	/* Libreria de cabecera que define los constructores y metodos a implementar */
#include <iostream>		// Biblioteca para operaciones de entrada y salida
using namespace std;	// Incluye espacio de nombres para palabras reservadas

void MyWorld::simulate(double delta_t, double endTime){
	for(;_time <endTime; _time+=delta_t){
		_robot->moveDelta_t(delta_t);
		printState(_time);
	}
	/* Metodo que permite la simulacion del tiempo */
}

void MyWorld::printStateDescription(){
	cout << "Time,\t" + _robot->getDescription() << endl;
	/* Metodo que define la estructura de impresion en consola */
}

void MyWorld::printState(double t){
	cout << t << ",\t" + _robot->toString() << endl;
	/* Metodo que imprime los valores de tiempo y posicion en consola */
}
