/**
 * Implementa los constructores y metodos esenciales que le dan vida al robot
 * (posicion, velocidad, giros en alguna direccion, entre otros).
 *
 * Autor: Matias Contreras, Francisco Frez, Damian Quiroz.
 * Version: 2.0
 * Since: 2018-07-24
*/

#include "Robot.h"		/* Incluye libreria de cabecera que define
						 * los constructores y metodos a implementar */

void Robot::turnLeft(){
	_velocity = _velocity.turnLeft();
	/* Metodo que implementa el giro a la izquierda del robot */
}

void Robot::turnRight(){
	_velocity = _velocity.turnRight();
	/* Metodo que implementa el giro a la derecha del robot */
}

void Robot::moveDelta_t(double delta_t){
	_position = _position + _velocity*delta_t;
	/* Metodo que implementa el movimiento del robot al interior del mundo */
}

void Robot::operator=(Robot robot){
	_position = robot.getPosition();
	_velocity = robot.getVelocity();
	/* Metodo que actualiza la posicion y velocidad del robot en caso de igualdad de valores */
}
